MKDIR(1)

NAME
mkdir - make directories

SYNOPSIS
mkdir [options] directory...

POSIX options: [-p] [-m mode] [--]

GNU options (shortest form): [-p] [-m mode] [--verbose] [--help] [--version] [--]

DESCRIPTION
mkdir creates directories with the specified names.

By default, the mode of created directories is 0777 (`a+rwx') minus the bits set in the umask.

OPTIONS

-m mode, --mode=mode
    Set the mode of created directories to mode, which may be symbolic as in chmod(1) and then uses the default mode as the point of departure.

-p, --parents
    Make any missing parent directories for each directory argument. The mode for parent directories is set to the umask modified by `u+wx'. Ignore arguments corresponding to existing directories. (Thus, if a directory /a exists, then `mkdir /a' is an error, but `mkdir -p /a' is not.)

--verbose
    Print a message for each created directory. This is most useful with --parents.

--  Terminate option list.

GNU STANDARD OPTIONS

--help
    Print a usage message on standard output and exit successfully.

--version
    Print version information on standard output, then exit successfully.

--  Terminate option list.

ENVIRONMENT
The variables LANG, LC_ALL, LC_CTYPE and LC_MESSAGES have the usual meaning.

CONFORMING TO
POSIX.2

NOTES
This page describes mkdir as found in the fileutils-4.0 package; other versions may differ slightly.